From a design point of view, SecurityImages do not come anymore with patches in his code, every 3rd party developer will have to develop and learn how to use SecurityImages 5.0. But coupling is greatly reduce because it use Joomla! events triggering system. 
Joomla! patches are different, I have to maintain them because the core is not meant to be extended in every forms right now.

ISSUE: Check for latest version causes a 500 internal server error. Wont be solved, in SecurityImages at least. A component is simply missing on my homepage: the version manager of soeren (Virtuemart) is not running with Joomla! 1.5 and is therefore  not installed on www.waltercedric.com
I will have to wait for Soeren new version or translate his component to Joomla! 1.5 myself
ISSUE: reload button is not working, also not always ;-), I am investigating this issue!


NEW: Core don't use the database anymore to store captcha but session.
NEW: simplified API for checking captcha
NEW: add reload button in Check Your System menu
BUG: solving logging inclusion (logUtils.php). It was incorrect as soon as you use SecurityImages embedded in another component or module.
NEW: development of Joomla! 1.5 patches and tests with Beta2, see next post

Beta2 in my download section...